Skip to main content
POST
/
entities
/
site
/
{site_id}
/
unenrol
Unenrol Site
curl --request POST \
  --url https://api-sandbox.axle.energy/entities/site/{site_id}/unenrol \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "proposition": "cm_infrequent_dispatch"
}
'
{
  "site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "unenrolled"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

site_id
string<uuid>
required

Body

application/json

Request model for unenrolling a site from a proposition.

proposition
enum<string>
required

Proposition to unenrol from

Available options:
cm_infrequent_dispatch,
full_asset_schedule_control,
limited_pause,
vpp_limited_control

Response

Successfully unenrolled or already unenrolled

Response model for the unenrol endpoint.

site_id
string<uuid>
required

ID of the unenrolled site

status
enum<string>
required
Available options:
unenrolled,
already_unenrolled